Package babel :: Module core :: Class UnknownLocaleError

# Class UnknownLocaleError

    exceptions.Exception --+
                           |
                          UnknownLocaleError

Exception thrown when a locale is requested for which no locale data is available.

Instance Methods

__init__(self, identifier) Create the exception. |

Inherited from `exceptions.Exception`: `__getitem__`, `__str__`

Method Details

### __init__(self, identifier)
(Constructor)

Create the exception.

Parameters:
  - `identifier` - the identifier string of the unsupported locale
Overrides: exceptions.Exception.__init__